// PVT -  Price Volume Trend
// en.wikipedia.org/wiki/Price_and_Volume_Trend
// www.incrediblecharts.com/indicators/price_and_volume_trend.php
// http://ta.mql4.com/indicators/volumes/price_trend

function init()
{
    with (PVT) {
         label = "PVT";
         createBuffer("PVT");
         setBufferColor("PVT", "#00FF00");
         setBufferDrawStyle("PVT", DrawStyle.LINE);
         setAutoChangeMaxMin("PVT");
    }
}

function start()
{
    var num = Shared.numberOfQuotes();
    var PVTbuf = new Array(num);

    PVTbuf[0] = 0;
    for (var j = 1; j < num; ++j)  {
      PVTbuf[j] = (((Shared.close(j) - Shared.close(j-1))/Shared.close(j-1)) * Shared.volume(j) + PVTbuf[j-1]); 
    }

     PVT.setBufferData("PVT", PVTbuf);
}

